#include "SignalHandler.h"
#include <signal.h>
#include <stdio.h>

bool s_bReceivedSignal = false;

void signalHandler(int /*signum*/)
{
    s_bReceivedSignal = true;
    //fputs("Received SIGINT\n", stderr);
}

void startSignalHandler()
{
    struct sigaction act;
    act.sa_handler = &signalHandler;
    sigemptyset(&act.sa_mask);
    act.sa_flags = SA_RESETHAND;

    int result = sigaction(SIGINT, &act, 0);

    if (result != 0) {
        fputs("Error installing signal handler\n", stderr);
    }
}

bool receivedSignal()
{
    return s_bReceivedSignal;
}
